package ru.dbotthepony.kstarbound.client.render

import ru.dbotthepony.kstarbound.client.gl.shader.GLShaderProgram

abstract class RenderConfig<out T : GLShaderProgram>(val program: T) {
	val client get() = program.client
	open val initialBuilderCapacity: Int get() = 32

	open fun setup() {
		program.use()
	}

	open fun uninstall() {}
}
